Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 1352)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 1353)
@@ -742,31 +748,31 @@
 
 
-          flux_t(k) = w(k,j,i) * (                                          &
-                     ( 37.0 * ibit8 * adv_sca_5                             &
-                  +     7.0 * ibit7 * adv_sca_3                             &
-                  +           ibit6 * adv_sca_1                             &
-                     ) *                                                    &
-                             ( sk(k+1,j,i)  + sk(k,j,i)   )                 &
-              -      (  8.0 * ibit8 * adv_sca_5                             &
-                  +           ibit7 * adv_sca_3                             &
-                     ) *                                                    &
-                             ( sk(k_pp,j,i) + sk(k-1,j,i) )                 &
-              +      (        ibit8 * adv_sca_5                             &
-                     ) *     ( sk(k_ppp,j,i)+ sk(k_mm,j,i) )                &
+          flux_t(k) = w(k,j,i) * (                                            &
+                    ( 37.0_wp * ibit8 * adv_sca_5                             &
+                 +     7.0_wp * ibit7 * adv_sca_3                             &
+                 +              ibit6 * adv_sca_1                             &
+                    ) *                                                       &
+                             ( sk(k+1,j,i)  + sk(k,j,i)   )                   &
+              -     (  8.0_wp * ibit8 * adv_sca_5                             &
+                  +              ibit7 * adv_sca_3                            &
+                    ) *                                                       &
+                             ( sk(k_pp,j,i) + sk(k-1,j,i) )                   &
+              +     (           ibit8 * adv_sca_5                             &
+                    ) *     ( sk(k_ppp,j,i)+ sk(k_mm,j,i) )                   &
                                  )
 
-          diss_t(k) = -ABS( w(k,j,i) ) * (                                  &
-                     ( 10.0 * ibit8 * adv_sca_5                             &
-                  +     3.0 * ibit7 * adv_sca_3                             &
-                  +           ibit6 * adv_sca_1                             &
-                     ) *                                                    &
-                             ( sk(k+1,j,i)   - sk(k,j,i)    )               &
-              -      (  5.0 * ibit8 * adv_sca_5                             &
-                  +           ibit7 * adv_sca_3                             &
-                     ) *                                                    &
-                             ( sk(k_pp,j,i)  - sk(k-1,j,i)  )               &
-              +      (        ibit8 * adv_sca_5                             &
-                     ) *                                                    &
-                             ( sk(k_ppp,j,i) - sk(k_mm,j,i) )               &
+          diss_t(k) = -ABS( w(k,j,i) ) * (                                    &
+                    ( 10.0_wp * ibit8 * adv_sca_5                             &
+                 +     3.0_wp * ibit7 * adv_sca_3                             &
+                 +              ibit6 * adv_sca_1                             &
+                    ) *                                                       &
+                             ( sk(k+1,j,i)   - sk(k,j,i)    )                 &
+              -     (  5.0_wp * ibit8 * adv_sca_5                             &
+                 +              ibit7 * adv_sca_3                             &
+                    ) *                                                       &
+                             ( sk(k_pp,j,i)  - sk(k-1,j,i)  )                 &
+              +     (           ibit8 * adv_sca_5                             &
+                    ) *                                                       &
+                             ( sk(k_ppp,j,i) - sk(k_mm,j,i) )                 &
                                          )
 !
@@ -803,6 +809,6 @@
 
              DO  k = nzb, nzt
-                sums_wspts_ws_l(k,tn) = sums_wspts_ws_l(k,tn) +                &
-                                       ( flux_t(k) + diss_t(k) )               &
+                sums_wspts_ws_l(k,tn) = sums_wspts_ws_l(k,tn) +               &
+                                       ( flux_t(k) + diss_t(k) )              &
                                  * weight_substep(intermediate_timestep_count)
              ENDDO
@@ -811,6 +817,6 @@
 
              DO  k = nzb, nzt
-                sums_wssas_ws_l(k,tn) = sums_wssas_ws_l(k,tn) +                &
-                                       ( flux_t(k) + diss_t(k) )               &
+                sums_wssas_ws_l(k,tn) = sums_wssas_ws_l(k,tn) +               &
+                                       ( flux_t(k) + diss_t(k) )              &
                                  * weight_substep(intermediate_timestep_count)
              ENDDO
@@ -819,6 +825,6 @@
 
              DO  k = nzb, nzt
-                sums_wsqs_ws_l(k,tn)  = sums_wsqs_ws_l(k,tn) +                 &
-                                      ( flux_t(k) + diss_t(k) )                &
+                sums_wsqs_ws_l(k,tn)  = sums_wsqs_ws_l(k,tn) +                &
+                                      ( flux_t(k) + diss_t(k) )               &
                                  * weight_substep(intermediate_timestep_count)
              ENDDO
@@ -827,6 +833,6 @@
 
              DO  k = nzb, nzt
-                sums_wsqrs_ws_l(k,tn)  = sums_wsqrs_ws_l(k,tn) +               &
-                                      ( flux_t(k) + diss_t(k) )                &
+                sums_wsqrs_ws_l(k,tn)  = sums_wsqrs_ws_l(k,tn) +              &
+                                      ( flux_t(k) + diss_t(k) )               &
                                  * weight_substep(intermediate_timestep_count)
              ENDDO
@@ -835,6 +841,6 @@
 
              DO  k = nzb, nzt
-                sums_wsnrs_ws_l(k,tn)  = sums_wsnrs_ws_l(k,tn) +               &
-                                      ( flux_t(k) + diss_t(k) )                &
+                sums_wsnrs_ws_l(k,tn)  = sums_wsnrs_ws_l(k,tn) +              &
+                                      ( flux_t(k) + diss_t(k) )               &
                                  * weight_substep(intermediate_timestep_count)
              ENDDO
@@ -852,22 +858,22 @@
     SUBROUTINE advec_u_ws_ij( i, j, i_omp, tn )
 
-       USE arrays_3d,                                                          &
+       USE arrays_3d,                                                         &
            ONLY:  ddzw, diss_l_u, diss_s_u, flux_l_u, flux_s_u, tend, u, v, w
 
-       USE constants,                                                          &
+       USE constants,                                                         &
            ONLY:  adv_mom_1, adv_mom_3, adv_mom_5
 
-       USE control_parameters,                                                 &
+       USE control_parameters,                                                &
            ONLY:  intermediate_timestep_count, u_gtrans, v_gtrans
 
-       USE grid_variables,                                                     &
+       USE grid_variables,                                                    &
            ONLY:  ddx, ddy
 
-       USE indices,                                                            &
+       USE indices,                                                           &
            ONLY:  nxl, nxr, nyn, nys, nzb, nzb_max, nzt, wall_flags_0
 
        USE kinds
 
-       USE statistics,                                                         &
+       USE statistics,                                                        &
            ONLY:  hom, sums_us2_ws_l, sums_wsus_ws_l, weight_substep
 
@@ -909,6 +915,6 @@
        REAL(wp), DIMENSION(nzb:nzt+1) ::  u_comp !:
 
-       gu = 2.0 * u_gtrans
-       gv = 2.0 * v_gtrans
+       gu = 2.0_wp * u_gtrans
+       gv = 2.0_wp * v_gtrans
 !
 !--    Compute southside fluxes for the respective boundary of PE
@@ -923,31 +929,31 @@
              v_comp      = v(k,j,i) + v(k,j,i-1) - gv
              flux_s_u(k,tn) = v_comp * (                                      &
-                            ( 37.0 * ibit14 * adv_mom_5                       &
-                         +     7.0 * ibit13 * adv_mom_3                       &
-                         +           ibit12 * adv_mom_1                       &
+                            ( 37.0_wp * ibit14 * adv_mom_5                    &
+                         +     7.0_wp * ibit13 * adv_mom_3                    &
+                         +              ibit12 * adv_mom_1                    &
                             ) *                                               &
-                                     ( u(k,j,i)   + u(k,j-1,i) )              &
-                     -      (  8.0 * ibit14 * adv_mom_5                       &
-                         +           ibit13 * adv_mom_3                       &
+                                        ( u(k,j,i)   + u(k,j-1,i) )           &
+                     -      (  8.0_wp * ibit14 * adv_mom_5                    &
+                         +              ibit13 * adv_mom_3                    &
                             ) *                                               &
-                                     ( u(k,j+1,i) + u(k,j-2,i) )              &
-                     +      (        ibit14 * adv_mom_5                       &
+                                        ( u(k,j+1,i) + u(k,j-2,i) )           &
+                     +      (           ibit14 * adv_mom_5                    &
                             ) *                                               &
-                                     ( u(k,j+2,i) + u(k,j-3,i) )              &
+                                        ( u(k,j+2,i) + u(k,j-3,i) )           &
                                        )
 
              diss_s_u(k,tn) = - ABS ( v_comp ) * (                            &
-                            ( 10.0 * ibit14 * adv_mom_5                       &
-                         +     3.0 * ibit13 * adv_mom_3                       &
-                         +           ibit12 * adv_mom_1                       &
+                            ( 10.0_wp * ibit14 * adv_mom_5                    &
+                         +     3.0_wp * ibit13 * adv_mom_3                    &
+                         +              ibit12 * adv_mom_1                    &
                             ) *                                               &
-                                     ( u(k,j,i)   - u(k,j-1,i) )              &
-                     -      (  5.0 * ibit14 * adv_mom_5                       &
-                         +           ibit13 * adv_mom_3                       &
+                                        ( u(k,j,i)   - u(k,j-1,i) )           &
+                     -      (  5.0_wp * ibit14 * adv_mom_5                    &
+                         +              ibit13 * adv_mom_3                    &
                             ) *                                               &
-                                     ( u(k,j+1,i) - u(k,j-2,i) )              &
-                     +      (        ibit14 * adv_mom_5                       &
+                                        ( u(k,j+1,i) - u(k,j-2,i) )           &
+                     +      (           ibit14 * adv_mom_5                    &
                             ) *                                               &
-                                     ( u(k,j+2,i) - u(k,j-3,i) )              &
+                                        ( u(k,j+2,i) - u(k,j-3,i) )           &
                                                  )
 
@@ -958,11 +964,11 @@
              v_comp         = v(k,j,i) + v(k,j,i-1) - gv
              flux_s_u(k,tn) = v_comp * (                                      &
-                           37.0 * ( u(k,j,i) + u(k,j-1,i)   )                 &
-                         -  8.0 * ( u(k,j+1,i) + u(k,j-2,i) )                 &
-                         +        ( u(k,j+2,i) + u(k,j-3,i) ) ) * adv_mom_5
+                           37.0_wp * ( u(k,j,i) + u(k,j-1,i)   )              &
+                         -  8.0_wp * ( u(k,j+1,i) + u(k,j-2,i) )              &
+                         +           ( u(k,j+2,i) + u(k,j-3,i) ) ) * adv_mom_5
              diss_s_u(k,tn) = - ABS(v_comp) * (                               &
-                           10.0 * ( u(k,j,i) - u(k,j-1,i)   )                 &
-                         -  5.0 * ( u(k,j+1,i) - u(k,j-2,i) )                 &
-                         +        ( u(k,j+2,i) - u(k,j-3,i) ) ) * adv_mom_5
+                           10.0_wp * ( u(k,j,i) - u(k,j-1,i)   )              &
+                         -  5.0_wp * ( u(k,j+1,i) - u(k,j-2,i) )              &
+                         +           ( u(k,j+2,i) - u(k,j-3,i) ) ) * adv_mom_5
 
           ENDDO
@@ -980,32 +986,32 @@
 
              u_comp_l         = u(k,j,i) + u(k,j,i-1) - gu
-             flux_l_u(k,j,tn) = u_comp_l * (                                   &
-                              ( 37.0 * ibit11 * adv_mom_5                      &
-                           +     7.0 * ibit10 * adv_mom_3                      &
-                           +           ibit9  * adv_mom_1                      &
-                              ) *                                              &
-                                     ( u(k,j,i)   + u(k,j,i-1) )               &
-                       -      (  8.0 * ibit11 * adv_mom_5                      &
-                           +           ibit10 * adv_mom_3                      &
-                              ) *                                              &
-                                     ( u(k,j,i+1) + u(k,j,i-2) )               &
-                       +      (        ibit11 * adv_mom_5                      &
-                              ) *                                              &
-                                     ( u(k,j,i+2) + u(k,j,i-3) )               &
+             flux_l_u(k,j,tn) = u_comp_l * (                                  &
+                              ( 37.0_wp * ibit11 * adv_mom_5                  &
+                           +     7.0_wp * ibit10 * adv_mom_3                  &
+                           +              ibit9  * adv_mom_1                  &
+                              ) *                                             &
+                                          ( u(k,j,i)   + u(k,j,i-1) )         &
+                       -      (  8.0_wp * ibit11 * adv_mom_5                  &
+                           +              ibit10 * adv_mom_3                  &
+                              ) *                                             &
+                                          ( u(k,j,i+1) + u(k,j,i-2) )         &
+                       +      (           ibit11 * adv_mom_5                  &
+                              ) *                                             &
+                                          ( u(k,j,i+2) + u(k,j,i-3) )         &
                                            )
 
-              diss_l_u(k,j,tn) = - ABS( u_comp_l ) * (                         &
-                              ( 10.0 * ibit11 * adv_mom_5                      &
-                           +     3.0 * ibit10 * adv_mom_3                      &
-                           +           ibit9  * adv_mom_1                      &
-                              ) *                                              &
-                                     ( u(k,j,i)   - u(k,j,i-1) )               &
-                       -      (  5.0 * ibit11 * adv_mom_5                      &
-                           +           ibit10 * adv_mom_3                      &
-                              ) *                                              &
-                                     ( u(k,j,i+1) - u(k,j,i-2) )               &
-                       +      (        ibit11 * adv_mom_5                      &
-                              ) *                                              &
-                                     ( u(k,j,i+2) - u(k,j,i-3) )               &
+              diss_l_u(k,j,tn) = - ABS( u_comp_l ) * (                        &
+                              ( 10.0_wp * ibit11 * adv_mom_5                  &
+                           +     3.0_wp * ibit10 * adv_mom_3                  &
+                           +              ibit9  * adv_mom_1                  &
+                              ) *                                             &
+                                        ( u(k,j,i)   - u(k,j,i-1) )           &
+                       -      (  5.0_wp * ibit11 * adv_mom_5                  &
+                           +              ibit10 * adv_mom_3                  &
+                              ) *                                             &
+                                        ( u(k,j,i+1) - u(k,j,i-2) )           &
+                       +      (           ibit11 * adv_mom_5                  &
+                              ) *                                             &
+                                        ( u(k,j,i+2) - u(k,j,i-3) )           &
                                                      )
 
@@ -1016,11 +1022,11 @@
              u_comp_l         = u(k,j,i) + u(k,j,i-1) - gu
              flux_l_u(k,j,tn) = u_comp_l * (                                   &
-                             37.0 * ( u(k,j,i) + u(k,j,i-1)   )                &
-                           -  8.0 * ( u(k,j,i+1) + u(k,j,i-2) )                &
-                           +        ( u(k,j,i+2) + u(k,j,i-3) ) ) * adv_mom_5
+                             37.0_wp * ( u(k,j,i) + u(k,j,i-1)   )             &
+                           -  8.0_wp * ( u(k,j,i+1) + u(k,j,i-2) )             &
+                           +           ( u(k,j,i+2) + u(k,j,i-3) ) ) * adv_mom_5
              diss_l_u(k,j,tn) = - ABS(u_comp_l) * (                            &
-                             10.0 * ( u(k,j,i) - u(k,j,i-1)   )                &
-                           -  5.0 * ( u(k,j,i+1) - u(k,j,i-2) )                &
-                           +        ( u(k,j,i+2) - u(k,j,i-3) ) ) * adv_mom_5
+                             10.0_wp * ( u(k,j,i) - u(k,j,i-1)   )             &
+                           -  5.0_wp * ( u(k,j,i+1) - u(k,j,i-2) )             &
+                           +           ( u(k,j,i+2) - u(k,j,i-3) ) ) * adv_mom_5
 
           ENDDO
@@ -1028,8 +1034,8 @@
        ENDIF
 
-       flux_t(0) = 0.0
-       diss_t(0) = 0.0
-       flux_d    = 0.0
-       diss_d    = 0.0
+       flux_t(0) = 0.0_wp
+       diss_t(0) = 0.0_wp
+       flux_d    = 0.0_wp
+       diss_d    = 0.0_wp
 !
 !--    Now compute the fluxes tendency terms for the horizontal and
@@ -1042,32 +1048,32 @@
 
           u_comp(k) = u(k,j,i+1) + u(k,j,i)
-          flux_r(k) = ( u_comp(k) - gu ) * (                                 &
-                     ( 37.0 * ibit11 * adv_mom_5                             &
-                  +     7.0 * ibit10 * adv_mom_3                             &
-                  +           ibit9  * adv_mom_1                             &
-                     ) *                                                     &
-                                 ( u(k,j,i+1) + u(k,j,i)   )                 &
-              -      (  8.0 * ibit11 * adv_mom_5                             &
-                  +           ibit10 * adv_mom_3                             &
-                     ) *                                                     &
-                                 ( u(k,j,i+2) + u(k,j,i-1) )                 &
-              +      (        ibit11 * adv_mom_5                             &
-                     ) *                                                     &
-                                 ( u(k,j,i+3) + u(k,j,i-2) )                 &
+          flux_r(k) = ( u_comp(k) - gu ) * (                                  &
+                     ( 37.0_wp * ibit11 * adv_mom_5                           &
+                  +     7.0_wp * ibit10 * adv_mom_3                           &
+                  +              ibit9  * adv_mom_1                           &
+                     ) *                                                      &
+                                    ( u(k,j,i+1) + u(k,j,i)   )               &
+              -      (  8.0_wp * ibit11 * adv_mom_5                           &
+                  +              ibit10 * adv_mom_3                           & 
+                     ) *                                                      &
+                                    ( u(k,j,i+2) + u(k,j,i-1) )               &
+              +      (           ibit11 * adv_mom_5                           &
+                     ) *                                                      &
+                                    ( u(k,j,i+3) + u(k,j,i-2) )               &
                                            )
 
-          diss_r(k) = - ABS( u_comp(k) - gu ) * (                            &
-                     ( 10.0 * ibit11 * adv_mom_5                             &
-                  +     3.0 * ibit10 * adv_mom_3                             &
-                  +           ibit9  * adv_mom_1                             &
-                     ) *                                                     &
-                                 ( u(k,j,i+1) - u(k,j,i)  )                  &
-              -      (  5.0 * ibit11 * adv_mom_5                             &
-                  +           ibit10 * adv_mom_3                             &
-                     ) *                                                     &
-                                 ( u(k,j,i+2) - u(k,j,i-1) )                 &
-              +      (        ibit11 * adv_mom_5                             &
-                     ) *                                                     &
-                                 ( u(k,j,i+3) - u(k,j,i-2) )                 &
+          diss_r(k) = - ABS( u_comp(k) - gu ) * (                             &
+                     ( 10.0_wp * ibit11 * adv_mom_5                           &
+                  +     3.0_wp * ibit10 * adv_mom_3                           &
+                  +              ibit9  * adv_mom_1                           &
+                     ) *                                                      &
+                                    ( u(k,j,i+1) - u(k,j,i)   )               &
+              -      (  5.0_wp * ibit11 * adv_mom_5                           &
+                  +              ibit10 * adv_mom_3                           &
+                     ) *                                                      &
+                                    ( u(k,j,i+2) - u(k,j,i-1) )               &
+              +      (           ibit11 * adv_mom_5                           &
+                     ) *                                                      &
+                                    ( u(k,j,i+3) - u(k,j,i-2) )               &
                                                 )
 
@@ -1077,32 +1083,32 @@
 
           v_comp    = v(k,j+1,i) + v(k,j+1,i-1) - gv
-          flux_n(k) = v_comp * (                                             &
-                     ( 37.0 * ibit14 * adv_mom_5                             &
-                  +     7.0 * ibit13 * adv_mom_3                             &
-                  +           ibit12 * adv_mom_1                             &
-                     ) *                                                     &
-                                 ( u(k,j+1,i) + u(k,j,i)   )                 &
-              -      (  8.0 * ibit14 * adv_mom_5                             &
-                  +           ibit13 * adv_mom_3                             &
-                     ) *                                                     &
-                                 ( u(k,j+2,i) + u(k,j-1,i) )                 &
-              +      (        ibit14 * adv_mom_5                             &
-                     ) *                                                     &
-                                 ( u(k,j+3,i) + u(k,j-2,i) )                 &
+          flux_n(k) = v_comp * (                                              &
+                     ( 37.0_wp * ibit14 * adv_mom_5                           &
+                  +     7.0_wp * ibit13 * adv_mom_3                           &
+                  +              ibit12 * adv_mom_1                           &
+                     ) *                                                      &
+                                    ( u(k,j+1,i) + u(k,j,i)   )               &
+              -      (  8.0_wp * ibit14 * adv_mom_5                           &
+                  +              ibit13 * adv_mom_3                           &
+                     ) *                                                      &
+                                    ( u(k,j+2,i) + u(k,j-1,i) )               &
+              +      (           ibit14 * adv_mom_5                           &
+                     ) *                                                      &
+                                    ( u(k,j+3,i) + u(k,j-2,i) )               &
                                )
 
-          diss_n(k) = - ABS ( v_comp ) * (                                   &
-                     ( 10.0 * ibit14 * adv_mom_5                             &
-                  +     3.0 * ibit13 * adv_mom_3                             &
-                  +           ibit12 * adv_mom_1                             &
-                     ) *                                                     &
-                                 ( u(k,j+1,i) - u(k,j,i)  )                  &
-              -      (  5.0 * ibit14 * adv_mom_5                             &
-                  +           ibit13 * adv_mom_3                             &
-                     ) *                                                     &
-                                 ( u(k,j+2,i) - u(k,j-1,i) )                 &
-              +      (        ibit14 * adv_mom_5                             &
-                     ) *                                                     &
-                                 ( u(k,j+3,i) - u(k,j-2,i) )                 &
+          diss_n(k) = - ABS ( v_comp ) * (                                    &
+                     ( 10.0_wp * ibit14 * adv_mom_5                           &
+                  +     3.0_wp * ibit13 * adv_mom_3                           &
+                  +              ibit12 * adv_mom_1                           &
+                     ) *                                                      &
+                                    ( u(k,j+1,i) - u(k,j,i)   )               &
+              -      (  5.0_wp * ibit14 * adv_mom_5                           &
+                  +              ibit13 * adv_mom_3                           &
+                     ) *                                                      &
+                                    ( u(k,j+2,i) - u(k,j-1,i) )               &
+              +      (           ibit14 * adv_mom_5                           &
+                     ) *                                                      &
+                                    ( u(k,j+3,i) - u(k,j-2,i) )               &
                                          )
 !
